ฉันกำลังพยายามเรียกใช้คำสั่งนี้:

sudo apt-get update && apt-get upgrade

แต่ฉันยังคงได้รับข้อผิดพลาดเหล่านี้

E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

ฉันอ่านคำตอบอื่นว่าโดยใช้sudoข้อผิดพลาดเหล่านี้จะได้รับการแก้ไข แต่ในกรณีของฉัน ฉันใช้ sudo อยู่แล้ว จะแก้ไขข้อผิดพลาดเหล่านี้ได้อย่างไร?

answer
sudo apt-get update && sudo apt-get upgrade

คำสั่งก่อนและหลัง && เป็นคำสั่งที่แยกจากกัน ดังนั้นจึงsudoต้องใช้ทั้งสองคำสั่ง